#!/bin/sh

# get version info from spec
VER_MAJOR=$(awk '/%global major/{print $NF}' jmc-core.spec)
VER_MINOR=$(awk '/%global minor/{print $NF}' jmc-core.spec)
VER_PATCH=$(awk '/%global patchlevel/{print $NF}' jmc-core.spec)
VERSION=$VER_MAJOR.$VER_MINOR.$VER_PATCH
HGREVHASH=$(awk '/%global hgrevhash/{print $NF}' jmc-core.spec)

# retrieve jmc tarball
wget http://hg.openjdk.java.net/jmc/jmc/archive/$HGREVHASH.tar.gz
tar xzf $HGREVHASH.tar.gz
rm $HGREVHASH.tar.gz

# copy required files
cp -r jmc-$HGREVHASH/core/ jmc-core-$VERSION/
cp jmc-$HGREVHASH/license/* jmc-core-$VERSION/
cp jmc-$HGREVHASH/README.md jmc-core-$VERSION/

# create jmc-core tarball
tar czf jmc-core-$VERSION.tar.gz jmc-core-$VERSION/
rm -r jmc-core-$VERSION/ jmc-$HGREVHASH