# Version
%global major 7
%global minor 0
%global patchlevel 0

# Revision
%global revnum 1
# set to 1 for hg snapshots, 0 for release
%global usesnapshot 1

# SNAPSHOT version
%global hgrevhash 9aa7085f938b
%global hgrevdate 20181122

%if %{usesnapshot}
  %global releasestr %{revnum}.%{hgrevdate}hg%{hgrevhash}
%else
  %global releasestr %{revnum}
%endif

Name:     jmc-core
Version:  %{major}.%{minor}.%{patchlevel}
Release:  %{releasestr}%{?dist}
Summary:  Core API for Java Mission Control

License:  UPL
URL:      http://openjdk.java.net/projects/jmc/

# ./generate_jmc_core_tarball.sh
Source0:  %{name}-%{version}.tar.gz
Source1:  generate_jmc_core_tarball.sh

BuildArch:  noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.owasp.encoder:encoder)

# maven requires generator will add Require for runtime dependency
#   on mvn(org.owasp.encoder:encoder)

%description
Java Mission Control is an advanced set of tools that enables efficient and 
detailed analysis of the extensive data collected by Java Flight Recorder. 
The tool chain enables developers and administrators to collect and analyze data 
from Java applications running locally or deployed in production environments.

%package javadoc
Summary:  Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q

%pom_remove_plugin :nexus-staging-maven-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%license THIRDPARTYREADME.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt
%license THIRDPARTYREADME.txt
%doc README.md

%changelog
* Fri Nov 23 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1.20181122hg9aa7085f938b
- Update to latest SNAPSHOT

* Fri Sep 14 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1
- Initial packaging
